> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axle.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Send plug-in event with schedule

> Submit a charging schedule and receive a modified schedule.



## OpenAPI

````yaml POST /entities/asset/{asset_id}/event/plug-in-schedule
openapi: 3.1.0
info:
  title: Axle API Docs
  description: >-
    For full documentation please see our official docs at <a
    href='http://docs.axle.energy'>docs.axle.energy</a>
  version: 1.4.6
servers:
  - url: https://api-sandbox.axle.energy
security: []
tags:
  - name: 1. Authentication
    description: Authenticate yourself with the Axle API
  - name: 2. Meters
    description: Find key info about your sites
  - name: 3. Sites
    description: Register your sites with Axle; configure market participation
  - name: 4. Assets
    description: Register your assets with Axle
  - name: 5. Data
    description: Send asset metrics to Axle, for analysis and optimisation purposes
  - name: 6. Rewards
    description: >-
      Determine how much your users have earned by participating with Axle;
      allow balance withdrawal
  - name: 7. Validation
    description: Validate structured data against Axle's rules
  - name: 8. Examples
    description: Get example data for testing
paths:
  /entities/asset/{asset_id}/event/plug-in-schedule:
    post:
      tags:
        - 4. Assets
      summary: Asset Plug In Schedule Event
      description: Submit a charging schedule and receive a modified schedule.
      operationId: >-
        asset_plug_in_schedule_event_entities_asset__asset_id__event_plug_in_schedule_post
      parameters:
        - required: true
          schema:
            type: string
            format: uuid
            title: Asset Id
          name: asset_id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlugInScheduleEventRequest'
        required: true
      responses:
        '200':
          description: Modified charging schedule successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlugInScheduleEventResponse'
        '403':
          description: Site lacking required limited_pause dispatch consent
        '404':
          description: Charger not found or not authorized to access
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Server error while scheduling charging
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PlugInScheduleEventRequest:
      properties:
        charging_schedule:
          items:
            $ref: '#/components/schemas/ChargingScheduleBlock'
          type: array
          title: Charging Schedule
      type: object
      required:
        - charging_schedule
      title: PlugInScheduleEventRequest
      description: >-
        This is the original charging schedule which will be modified and
        returned to the client in the response.

        Used in WSLite integration model.
    PlugInScheduleEventResponse:
      properties:
        modified_charging_schedule:
          items:
            $ref: '#/components/schemas/ChargingScheduleBlock'
          type: array
          title: Modified Charging Schedule
      type: object
      required:
        - modified_charging_schedule
      title: PlugInScheduleEventResponse
      description: >-
        This is the modified charging schedule which will be returned to the
        client.

        Used in WSLite integration model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ChargingScheduleBlock:
      properties:
        start_timestamp:
          type: string
          title: Start Timestamp
        end_timestamp:
          type: string
          title: End Timestamp
      type: object
      required:
        - start_timestamp
        - end_timestamp
      title: ChargingScheduleBlock
      description: >-
        Sync has defined this simple schedule structure which we will use for
        initial WSLite integration.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/token-form

````